org.apache.solr.cloud

## Interface OverseerMessageHandler

- All Known Implementing Classes:
    OverseerCollectionMessageHandler, OverseerConfigSetMessageHandler

      public interface OverseerMessageHandler

  Interface for processing messages received by an `OverseerTaskProcessor`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OverseerMessageHandler.Lock`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getTaskKey(ZkNodeProps message)`
    `String` | `getTimerName(String operation)`
    `OverseerMessageHandler.Lock` | `lockTask(ZkNodeProps message, OverseerTaskProcessor.TaskBatch taskBatch)` Try to provide an exclusive lock for this particular task return null if locking is not possible.
    `SolrResponse` | `processMessage(ZkNodeProps message, String operation)`

- - ### Method Detail

    - #### processMessage

          SolrResponse processMessage(ZkNodeProps message,
                                      String operation)

      Parameters:
        `message` - the message to process
        `operation` - the operation to process
      Returns:
        response

    - #### getName

          String getName()

      Returns:
        the name of the OverseerMessageHandler

    - #### getTimerName

          String getTimerName(String operation)

      Parameters:
        `operation` - the operation to be timed
      Returns:
        the name of the timer to use for the operation

    - #### lockTask

          OverseerMessageHandler.Lock lockTask(ZkNodeProps message,
                                               OverseerTaskProcessor.TaskBatch taskBatch)

      Try to provide an exclusive lock for this particular task return null if locking is not possible. If locking is not necessary

    - #### getTaskKey

          String getTaskKey(ZkNodeProps message)

      Parameters:
        `message` - the message being processed
      Returns:
        the taskKey for the message for handling task exclusivity

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.